Retrieve Tills

Retrieve closed cash drawer sessions (tills) for a location, one record per session with the latest close-out's business date, terminal, cashier, close time and expected and counted cash. Open sessions and each terminal's first cash drawer session at the location are not returned. Express only: for RPOS locations the request fails with 400 (FAILED_PRECONDITION).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

SpotOn Location ID

Query Params
date-time

Start time of the closed_at (close-out) date time range. Format is RFC 3339. Must be earlier than to_time when both are given. Only one start bound (from_time, fiscal_date_from or last_updated_from) is allowed; any end bound can be paired with it.

date-time

End time of the closed_at (close-out) date time range. Format is RFC 3339. Only one end bound (to_time, fiscal_date_to or last_updated_to) is allowed; any start bound can be paired with it.

string
enum
Defaults to RANGE_UNSPECIFIED

Range of the closed_at date time, ending now. RANGE_LAST_DAY is 24 hours, RANGE_LAST_WEEK is 168 hours, RANGE_LAST_MONTH is 720 hours, and LAST_YEAR is 31,536,000 seconds and doesn't take into account leap-years, leap-seconds. Cannot be combined with any other date parameter. A request needs range or at least one start or end bound.

Allowed:
int64

Multiplier for the range. For example, if range is RANGE_LAST_DAY and multiplier is 2, the filter will return the last 48 hours of data.

int64

Page number. If not provided, the default value is 1.

int64
≤ 100

Number of results per page. Maximum is 100. If not provided, the default value is 100.

string

Start date of the business date range (the business date of the close-out). Format is the date portion of RFC 3339 (YYYY-MM-DD). Only one start bound (from_time, fiscal_date_from or last_updated_from) is allowed; any end bound can be paired with it.

string

End date of the business date range (the business date of the close-out). Format is the date portion of RFC 3339 (YYYY-MM-DD). Only one end bound (to_time, fiscal_date_to or last_updated_to) is allowed; any start bound can be paired with it.

date-time

Start time of the last updated date time range. Format is RFC 3339. Must be earlier than last_updated_to when both are given. Only one start bound (from_time, fiscal_date_from or last_updated_from) is allowed; any end bound can be paired with it.

date-time

End time of the last updated date time range. Format is RFC 3339. Only one end bound (to_time, fiscal_date_to or last_updated_to) is allowed; any start bound can be paired with it.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json